aboutsummaryrefslogtreecommitdiffhomepage
path: root/projects/fluent-bit
diff options
context:
space:
mode:
authorGravatar DavidKorczynski <david@adalogics.com>2020-04-15 22:02:20 +0100
committerGravatar GitHub <noreply@github.com>2020-04-15 14:02:20 -0700
commita34124c41c4236d84ee9b2a50f67f35b848fbed1 (patch)
treeb54ea785acb108dffd43d0a37f68b19fd799a2b6 /projects/fluent-bit
parent45d3944cd1a1aa87ead6d8272d19b5bd0d50d3ce (diff)
[fluent-bit] Added initial set up for fluent-bit. (#3593)
* Added initial set up for fluent-bit. * Updated the email for the maintainer of the project. * Update Dockerfile Remove whitespace * Update build.sh We updated the fuzzer in main repo from CPP to C * added one more maintainer requested in https://github.com/fluent/fluent-bit/pull/2090#issuecomment-614260868 Co-authored-by: Max Moroz <mmoroz@chromium.org>
Diffstat (limited to 'projects/fluent-bit')
-rwxr-xr-xprojects/fluent-bit/Dockerfile22
-rwxr-xr-xprojects/fluent-bit/build.sh26
-rwxr-xr-xprojects/fluent-bit/project.yaml6
3 files changed, 54 insertions, 0 deletions
diff --git a/projects/fluent-bit/Dockerfile b/projects/fluent-bit/Dockerfile
new file mode 100755
index 00000000..a87b1b7a
--- /dev/null
+++ b/projects/fluent-bit/Dockerfile
@@ -0,0 +1,22 @@
+# Copyright 2020 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+################################################################################
+FROM gcr.io/oss-fuzz-base/base-builder
+MAINTAINER david@adalogics.com
+RUN apt-get update && apt-get install -y make cmake
+RUN git clone https://github.com/fluent/fluent-bit/
+
+WORKDIR $SRC
+COPY build.sh $SRC/
diff --git a/projects/fluent-bit/build.sh b/projects/fluent-bit/build.sh
new file mode 100755
index 00000000..85a99607
--- /dev/null
+++ b/projects/fluent-bit/build.sh
@@ -0,0 +1,26 @@
+#!/bin/bash -eu
+# Copyright 2020 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+################################################################################
+cd fluent-bit/build
+cmake -DFLB_RECORD_ACCESSOR=Off -DFLB_STREAM_PROCESSOR=Off -DFLB_LUAJIT=OFF ..
+make || true
+
+# Copy over the fuzzers
+cp ../tests/internal/fuzzers/* .
+
+# Now compile the fuzzers
+$CC $CFLAGS -c flb_json_fuzzer.c -o flb_json_fuzzer.o
+$CXX flb_json_fuzzer.o -o $OUT/flb_json_fuzzer $CXXFLAGS $LIB_FUZZING_ENGINE library/libfluent-bit.a library/libmk_core.a library/libjsmn.a library/libmsgpackc.a library/libmpack-static.a
diff --git a/projects/fluent-bit/project.yaml b/projects/fluent-bit/project.yaml
new file mode 100755
index 00000000..37922874
--- /dev/null
+++ b/projects/fluent-bit/project.yaml
@@ -0,0 +1,6 @@
+homepage: "https://github.com/fluent/fluent-bit"
+primary_contact: "edsiper@gmail.com"
+language: c++
+auto_ccs:
+ - "david@adalogics.com"
+ - "wppttt@amazon.com"